Subject: Re: [PATCH 2/3] contrib/contacts: rename .txt to .adoc

From: Todd Zullinger <[email-masked]>
Date: Sat, 1 Mar 2025 10:34:37 -0500

Junio C Hamano wrote:
> Todd Zullinger <[email-masked]> writes:
> 
>> Since this is only in next and the first patch of the series
>> targets a "breakage" in 2.49.0-rc0, should I split the
>> latter commits into a separate series based on next or is
>> ef18273a2d9 likely to be merged into master before 2.49.0?
> 
> ef18273a (Merge branch 'ps/meson-contrib-bits' into next,
> 2025-02-27) WILL NEVER be merged into master in any timeframe.
> Doing so will pull all the other merge commits on 'next' into
> 'master'.

Thank you for patiently correcting and explaining that.  I
did intend it to be as you described, rather than merging
the merge commit.  But I was both lazy and sloppy with my
wording, unfortunately. :/

> According to tinyurl.com/gitcal, we plan to tag -rc1 on Mar 4th and
> -rc2 on Mar 10th.  The topic ps/meson-contrib-bits will have spent 7
> calendar days in 'next' before we tag -rc2, so unless people find
> issues with the topic while in 'next', it is expected to land before
> the 10th.
> 
> Creating a merge of ps/meson-contrib-bits topic into the 'master'
> (you do this yourself locally), and building your series on that
> merge commit (and you send these patches to the list, saying that
> they are based on such a merge in the cover letter) would be the
> most appropriate in this case, I think.

Sounds good.  I'll send a v2 with that shape momentarily.

-- 
Todd